body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
      'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
      sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    max-width: 100%;
    margin: 0 0;
  }
  
  code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
      monospace;
  }
  
  html {
    scroll-behavior: smooth;
    margin: 0 0;
  }

  /* @media only screen and (max-width: 600px) {
    .root-class{
      width: auto;
      display: inline;
    }
  } */
  /* NAVBAR */
  @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap');
  
  .navbar-spacer {
    width: auto;
  }
  .nav-bar {
      background-color: rgba(145, 145, 145,0);
      display: grid;
      margin-top: 20px;
      z-index: -1;
      padding-top: 40px;
    }
  
    .nav-links {
      list-style-type: none;
      margin: 0;
      padding: 0;
      margin-top: -40px;
    }
  
    .img-fluid {
        float: left;
        margin-left: 8px ;
        width: 3%;
        height: auto;
       
    }
  
    .nav-items {
      float: right;
    }
    
    .nav-items .nav-link {
      color: black;
      text-align: center;
      padding: 14px 16px;
      text-decoration: none;
      font-family: 'Roboto Mono', monospace;
    }
    
    li a:hover {
      background-color: rgba(250, 250, 250, 1);
      border: 3px solid black;
    }
  
    @media screen and (max-width: 992px) {
      /* body {
         min-width:920px; 
      } */
  
      .navbar-spacer {
        font-size: 0.9rem;
      }
  
      .img-fluid{
        display: none;
      }
  
      .nav-items {
        float: left;
      }
  
        
    .nav-items .nav-link {
    padding: 10px 25px;
    }
    }  
  
  /* MOBILE SCREEN */
   @media only screen and (max-width: 600px) {
    .nav-items .nav-link {
      color: black;
      text-align: center;
      padding: 2px 15px;
      text-decoration: underline;
      font-size: smaller
    }
  } 
  /* NAVBAR ENDS */
  
  
    /* ACTUAL SHIT BEGINS HOMEPAGE*/
    @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap');
    @import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@100&display=swap');
    
    * {
      font-family: 'Roboto Mono', monospace;
      font-weight: 400;
    }
    
    body {
      background-color: rgba(145, 145, 145, 0.2);
    }
    
    .my_pic {
    border-radius: 200px;
    border: solid 3px black;
    margin-left: 22%;
    margin-top: 7%;
    width: 18%;
    }
    
    .intro-heading {
      margin-top: -20%;
      margin-left: 45%;
    }
    
    .introduction {
      margin-left: 45%;
      font-family: 'Roboto Mono', monospace;
      font-weight: 400;
    }
    
    .doing-heading {
      margin-top: 0%;
      margin-left: 45%;
    }
    
    .doing {
      margin-left: 45%;
      font-family: 'Roboto Mono', monospace;
      font-weight: 400;
    }
    
    .github-icon {
      width: 4%;
      background: transparent;
      border-radius: 100px;
      margin-left: 52%;
      margin-top: 10px;
    }
    
    .linkedin-icon {
      width: 4%;
      background: transparent;
      border-radius: 10px;
      margin-left: 5%;
      margin-top: 1%;
    }
    
    .free-code-camp-icon {
      width: 5%;
      background: transparent;
      border-radius: 10px;
      margin-left: 5%;
      margin-top: 1%;
    }
    
    .mail-icon {
      width: 4%;
      background: transparent;
      margin-left: 5%;
      margin-top: 1%;
    }
    
    .edu_sec{
      background-color: white;
      margin-top: -35%;
    }
    
    
    .skill_sec{
      background-color: white;
    }
    
    .intern_sec{
      background-color: white;
    }
    
    .resume-link {
      margin-left: 28%;
      display: inline;
      font-size: x-large;
      padding: 5px 5px;
      border-radius: 10%;
      color: black;
    }
    
    .resume-link:hover {
      background-color: rgb(0, 0, 0);
      color: white;
    }
    
    .footer_sec{
      background-color: white;
    }
    
    @media screen and (max-width: 992px) {
      /* body {
         min-width:992px; 
      }
     */
      .my_pic {
        margin-left: 1%;
        margin-top: 7%;
        }
    
        .intro-heading {
          margin-left: 25%;
          text-decoration: underline;
          font-size: .9rem;
        }
    
        .introduction {
          margin-left: 25%;
          font-size: 0.9rem;
        }
    
        .doing-heading {
          margin-left: 25%;
          text-decoration: underline;
          font-size: .9rem;
        }
        
        .doing {
          margin-left: 25%;
          font-size: 0.9rem;
        }
    
        .resume-link {
          margin-left: 5%;
          display: inline;
          font-size: large;
        }
    
        .github-icon {
          margin-left: 55%;
          margin-top: 20px;
        }
    }
    
    /* MOBILE SCREEN */
    @media only screen and (max-width: 600px) {
      .Homepage{
        display: block;
        width: 100vw;
        margin-left: -2%;
      }
      
      .App{
        width: fit-content;
      }
      .content{
        display: block;
        width: 90vw;
        margin: 0 0;
        padding: 2% 0;
      }
      .my_pic{
        width: 50%;
        margin-top: 2%;
        margin-left: 30%;
      }
    
      .intro-heading {
        margin-top: 2%;
        margin-left: 40%;
        font-size: small;
        width: fit-content;
        
      }
    
      .introduction {
        margin-left: 5%;
        font-size: smaller;
        width: 100%;
        text-align: center;
      }
    
      .doing-heading {
        margin-left: 35%;
        text-decoration: underline;
        font-size: small;
      }
      
      .doing {
        margin-left: 4%;
        font-size: smaller;
        width: 100%;
        text-align: center;
      }
    
      .github-icon{
        margin-left: 10%;
        width: 10%;
      }
    
      .linkedin-icon, .free-code-camp-icon, .mail-icon{
        width: 10%;
        padding-left: 10px;
        margin-top: -5%;
      }
    
      .resume-link{
        margin-left: 40%;
        text-decoration: none;
        color: black;
        margin-top: 20%;
      }
      
      .connect{
        display: inline;
      }
    }
    /* ACTUAL SHIT ENDS HOMEPAGE*/
  
    /* EDUCATION */
    .education_app {
      margin-top: 40%;

      background-color: white;
  
  }
  .edu_heading {
      margin-top: 0%;
      text-align: center;
      font-size: x-large;
      text-decoration: underline;
  }
  .edu_list {
  margin-left: 35%;
  }
  li {
      line-height: 2em;
  }
  
    .img_woman {
      position: absolute;
      width: 25%;
      margin-top: -40%;
      margin-left: -30%;
  }
  
  .img_router {
      width: 30%;
      margin-top: -100%;
      margin-left: 60%;
  }
  
  .img_hard_drive{
      width: 10%;
      margin-left: 45%;
      margin-top: -40%;
      position: absolute;
  }
  
  @media screen and (max-width: 992px) {
    /* body {
       min-width:920px; 
        }
   */
    .edu_heading {
        font-size: large;
        margin-left: 20%;
    }
  
    .edu_list {
        margin-left: 28%;
        font-size: medium;
        }
    
    .img_woman{
        width: 20%;
        margin-left: -25%;
    }
    .img_hard_drive {
        display: none;
    }
    .img_router {
        width: 20%;
        margin-top: -100%;
        margin-left: 60%;
    }
  }
  
  /* MOBILE SCREEN */
  @media only screen and (max-width: 600px) { 
    .education_app {
      margin-top: 0%;
  
  }
    .edu_sec{
      display: block;
      margin-top: auto;
      width: 100vw;
    }
    
    /* .img_woman{
        ;
    } */
    .edu_list {
        margin-left: 1%;
        font-size: smaller;
        }
    
    .edu_heading{
        font-size: small;
        margin-right: 55%;
    }
    .img_router{
      margin-left: 75%;
    }
    .img_woman{
      display: block;
      width: 20%;
    }
  }
    /* EDUCATION ENDS */
  
  /* PROJECTS */
  * {
    color: black;
  }
  .edu_heading {
    margin-top: -30px;
  }
  
  .project_item {
    margin-top: -2px;
  }
  .description {
    margin-top: -20px;
  }
  
  .project_log_img {
    width: 20%;
    float: right;
    margin-top: -15%;
    margin-right: 10%;
  }
  .project-link{
    text-decoration: none;
  }
  .project-link:hover{
    border: solid 0px black;
  }
  .mob-visible{
    display: none;
  }
  
  @media screen and (max-width: 992px) {
    /* body {
       min-width:920px; 
    }  */
    .edu_heading {
        font-size: large;
    }
    .project_item{
        font-size: small;
    }
    .status{
        font-size: medium;
    }
    h4{
        font-size: smaller;
    }
    .project_log_img{
        margin-left: 80%;
    }
  
  }
  
  /* MOBILE SCREEN */
  @media only screen and (max-width: 600px) { 
    .project_sec{
      display: block;
      width: 100vw;
    }
    
    .status{
        font-size: small;
        text-decoration: underline;
    }
    h4{
        font-size: smaller;
        margin-left: 10%;
    }
    .project_log_img{
        display: block;
        width: 30%;
        margin-top: 10%;
        margin-left: 40%;
    }
    .project_item{
        width: 90vw;
        font-size: 0.8rem;
        margin-left: -10%;
    }
  
    .under{
        width: 90vw;
        margin-left: -20%;
    }
    .mob-visible{
      display: block;
    }
  }
  /* PROJECTS ENDS */
  
  /* INTERNSHIPS */
  .title {
    font-size: x-large;
  }
  
  li {
    margin: 1% 0;
  }
  .paper{
    width: 50%;
  }
  .samsung-logo {
    float: right;
    margin-right: 30%;
    margin-top: -50px;
    overflow: hidden;
  }
  
  .iit-logo {
    width: 7%;
    float: right;
    margin-right: 40%;
    margin-top: -125px;
  }
  
  .wwf-logo {
    width: 5%;
    float: left;
    margin-left: 400px;
    margin-top: -100px;
  
  }
  
  .changepay-logo {
    width: 10%;
    float: left;
    margin-left: 370px;
    margin-top: -80px;
  
  }
  
  .intern-logo {
    width: 20%;
    float: right;
    margin-top: -250px;
    margin-right: 10px;
  }
  
  .about-samsung {
    width: 30%;
  }
  
  @media screen and (max-width: 992px) {
    /* body {
       min-width:920px; 
        } */
  
    .title {
        font-size: large;
    }
    
    .intern_list {
        font-size: small;
    }
  }
  
  /* MOBILE SCREEN */
  @media only screen and (max-width: 600px) { 
    .title {
        font-size: small;
    }
    .intern_sec{
      display: block;
      width: 100vw;
    }
    .intern_list{
      margin-top: -5%;
    }
   .samsung, .iit {
        font-size: small;
        margin: 1px 0;
        
    }
    .about-samsung {
      width: 60%;
    }
  .samsung-logo{
   display: block;
   width: 30%;
   float: right;
   margin-top: -20%;
   margin-right: 8%;
  }
  
  .iit-logo{
    width: 12%;
    margin-left: 70%;
    float: left;
    margin-top: -40%;
  }
  .paper{
    width: 90%;
  }
  
  .intern-logo{
    display: none;
  }
  
  .wwf-logo{
    width: 10%;
    margin-left: 70%;
    margin-top: -15%;
    float: left;
  }
  .changepay-logo{
    display: block;
    margin-left: 70%;
    width: 15%;
    margin-top: -15%;
  }
  }
  /* INTERNSHIPS ENDS */
  
  /* SKILLS */
  
  /* li{
    margin: 30px 0;
  } */
  
  .skill_heading{
      margin-left: 40%;
      text-decoration: underline;
      margin-top: -2%;
      font-size: x-large;
      overflow: hidden;
  }
  
  .list_item {
      margin-left: 50%;
  }
  
  .iste-logo{
    float: left;
    margin-left: 35%;
    width: 10%;
    margin-top: -8%;
    overflow: hidden;
  }
  
  .ecell-logo {
    width: 8%;
    margin-left: 5%;
    border-radius: 25%;
    margin-top: -35%;
    border-image: url('./ecell_logo.jpg') 20%;
    border: 2px solid black; 
  }
  
  
  .svco{
      background-color: black;
      width: 11%;
      border-radius: 10%;
      margin-left: 25%;
      margin-top: -30%;
      overflow: hidden;
  }
  
  .svco-logo{
      width: 100%;
      display: inline;
      
  }
  
  .space-logo{
      width: 8%;
      margin-left: 15%;
      margin-top: 3%;
  }
  .iste-logo-2{
    display: none;
  }
  
  @media screen and (max-width: 992px) {
    /* body {
       min-width:920px; 
    } */
  
    .list_item {
      margin-left: 5px;
  }
  
  .iste-logo{
    margin-left: 80%;
    width: 8%;
    margin-top: -10%;
  }
  
  .ecell-logo{
    margin-left: 80%;
  }
  
  .svco{
    margin-left: 80%;
    margin-top: -40%;
    overflow: hidden;
  }
  
  .space-logo{
    margin-left: 80%;
    margin-top: 10%;
  }
  
  .skill_heading{
    font-size: large;
  }
  
  .list_item{
    font-size: small;
  }
  }
  
  /* MOBILE SCREEN */
  @media only screen and (max-width: 600px) { 
  .skill_heading{
    margin-left: 5%;
  }
  
  .iste-logo, .svco-logo, .space-logo, .ecell-logo{
    display: block;
  }
  
  .list_item {
    width: 90vw;
  }
  .skills_sec{
    display: block;
    width: 100vw;
  }
  .iste-logo{
    display: none;
  }
  .iste-logo-2{
    width: 20%;
    margin-top: -20%;
    margin-left: 10%;
    display: block;
  }
  .svco{
    margin-top: 1%;
    margin-left: 40%;
    width: 20%;
    background-color: black;
  }
  .space{
    margin-bottom: 0%;
    display: block;
    margin-right: 20%;
    width: 100;
    margin-top: 10%;
    width: auto;
    padding: 0 0;
  }
  .space-logo{
    width: 15%;
  }
  .cell{
    display: block;
    margin-top: 30%;
    padding: 0 0;
  }
  .svco-logo{
    width: 100%;
  }
  .ecell-logo{
    width: 15%;
  }
  }
  /* SKILLS ENDS */
  
  
  /* CONTACT FORM */
  .container{
    max-width:1370px;
    margin-left:auto;
    margin-right:auto;
    padding:11em 1em 1em 1em;
  }
  
  .brand{
    text-align: center;
    text-decoration: underline;
  }
  
  .wrapper{
    box-shadow: 0 0 20px 0 rgba(72,94,116,0.7);
  }
  
  .wrapper > *{
    padding: 1em;
  }
  /* FORM STYLES */
  .contact form{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap:40px;
  }
  
  .contact form label{
    display:block;
  }
  .contact form p{
    margin:0;
  }
  
  .contact form .full{
    grid-column: 1 / 3;
  }
  .contact form button, .contact form input, .contact form textarea{
    width:100%;
    padding:1em;
    border: 1px solid black;
  }
  
  .contact form button{
    background: white;
    border:0;
    text-transform: uppercase;
  }
  .contact form button:hover,.contact form button:focus{
    background: black;
    color:#fff;
    outline:0;
    transition: background-color 1s ease-out;
  }
  .alert{
    text-align: center;
    padding:10px;
    background:#79c879;
    color:#fff;
    margin-bottom:10px;
    display: none;
  }
  .image-form{
    width: 100%;
    margin-left: 200%;
    margin-top: -80%;
  }
  /* LARGE SCREENS */
  @media(min-width:700px){
    .wrapper{
      display: grid;
      grid-template-columns: 1fr 2fr;
    }
  
    .wrapper > *{
      padding:2em;
    }
  
    .company-info h3, .company-info ul, .brand{
      text-align: left;
    }
  }
  
  @media only screen and (max-width: 600px) { 
    .container{
      float: left;
      margin-top: 0%;
      width: 200vw;
      max-width: 300px;
      margin-left: 10%;
    }
    .brand{
      margin-top: -50%;
    }
    .wrapper{
      box-shadow: 0 0 10px 0 rgba(72,94,116,0.7);
      grid-template-columns: 0.5fr 0.5fr;
    }
    .contact form p {
      margin: 0%;
  }
  .contact form{
    grid-template-columns: 0.2fr 0.2fr;
  }
  
    .image-form{
      display: none;
    }
    
  }
  /* CONTACT FORM ENDS */
  
  /* FOOTER */
  .contact-me {
    text-align: center;
  }
  .footer-app{
    width: 40%;
    text-align: center;
    padding-bottom: 1%;
    margin-left: 30%;
  }
  
  @media only screen and (max-width: 600px) {
    .footer-div{
      width: 90vw;
      margin-left: -50%;
      margin-top: 160%;
    }
  .footer_nav{
    background-color: white;
    width: 100vw;
    margin-top: 150%;
  }
  /* .navbar_spacer_down{
    display: vloc;
  } */
  
  }
  /* FOOTER ENDS */
  
/* EXPERIMENTATION */
